Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1882303 - [abrt] kismon: module(): client_rest.py:39:<module>:ModuleNotFoundError: No module named 'KismetRest'
Summary: [abrt] kismon: module(): client_rest.py:39:<module>:ModuleNotFoundError: No m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kismon
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8206b8a6c9e0f88b2955825d700...
Depends On: 1876578
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-24 09:46 UTC by Jan Vlug
Modified: 2020-10-02 01:27 UTC (History)
1 user (show)

Fixed In Version: kismon-1.0.2-2.fc33 kismon-1.0.2-2.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-28 00:15:12 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2020-09-24 09:46 UTC, Jan Vlug
no flags Details
File: cpuinfo (deleted)
2020-09-24 09:46 UTC, Jan Vlug
no flags Details
File: environ (deleted)
2020-09-24 09:46 UTC, Jan Vlug
no flags Details
File: mountinfo (deleted)
2020-09-24 09:46 UTC, Jan Vlug
no flags Details
File: namespaces (deleted)
2020-09-24 09:46 UTC, Jan Vlug
no flags Details
File: open_fds (deleted)
2020-09-24 09:47 UTC, Jan Vlug
no flags Details

Description Jan Vlug 2020-09-24 09:46:44 UTC
Description of problem:
Just started kismon from the command line after installing it via dnf.

Version-Release number of selected component:
kismon-1.0.2-1.fc32

Additional info:
reporter:       libreport-2.13.1
cgroup:         0::/user.slice/user-1000.slice/user/apps.slice/apps-org.gnome.Terminal.slice/vte-spawn-e034fb27-6e72-4ea4-8370-c42f8db9d4d4.scope
cmdline:        /usr/bin/python3 -s /usr/bin/kismon
crash_function: module
exception_type: ModuleNotFoundError
executable:     /usr/bin/kismon
interpreter:    python3-3.8.5-5.fc32.x86_64
kernel:         5.8.6-201.fc32.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
#1 [/usr/lib/python3.8/site-packages/kismon/client_rest.py:36] <module>

Comment 1 Jan Vlug 2020-09-24 09:46:50 UTC
Created attachment 1716288 [details]
File: backtrace

Comment 2 Jan Vlug 2020-09-24 09:46:52 UTC
Created attachment 1716289 [details]
File: cpuinfo

Comment 3 Jan Vlug 2020-09-24 09:46:55 UTC
Created attachment 1716290 [details]
File: environ

Comment 4 Jan Vlug 2020-09-24 09:46:57 UTC
Created attachment 1716291 [details]
File: mountinfo

Comment 5 Jan Vlug 2020-09-24 09:46:59 UTC
Created attachment 1716292 [details]
File: namespaces

Comment 6 Jan Vlug 2020-09-24 09:47:01 UTC
Created attachment 1716293 [details]
File: open_fds

Comment 7 Jan Vlug 2020-09-24 09:52:05 UTC
This problem went away after I installed: python3-kismet-rest-2019.5.2-1.fc32.noarch
So this seems a dependency issue in the kismon package to me.

Comment 8 Fedora Update System 2020-09-24 10:50:39 UTC
FEDORA-2020-cbd62ea156 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cbd62ea156

Comment 9 Fedora Update System 2020-09-24 10:55:20 UTC
FEDORA-2020-7e2a31a52e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e2a31a52e

Comment 10 Fedora Update System 2020-09-24 13:34:39 UTC
FEDORA-2020-cbd62ea156 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cbd62ea156`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cbd62ea156

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-24 14:51:44 UTC
FEDORA-2020-7e2a31a52e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7e2a31a52e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7e2a31a52e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-09-28 00:15:12 UTC
FEDORA-2020-cbd62ea156 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-10-02 01:27:09 UTC
FEDORA-2020-7e2a31a52e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.